Quick Receive

Quick receive a quantity of an existing part into inventory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

POST Quick Receive

Quick receive a quantity of an existing part into inventory.

POST /ODataApi/v1/Parts('{name}')/QuickReceive

Endpoint

https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/QuickReceive

Replace:

  • {sitename} with your MVP One site name.
  • {name} with the part name or part ID.

Path parameter

ParameterTypeRequiredDescription
nameStringYesPart name or part ID for the existing part to receive.

Request body fields

FieldData typeRequiredDescription
WarehouseIDStringYesWarehouse where you receive the part.
StockLocationStringYesStock location where you receive the part.
QuantityDecimalYesQuantity to receive.
UnitCostDecimalYesUnit cost for the received part.
ToAccountStringYesAccount receiving the quick receive quantity.
NotesStringYesNotes for the quick receive transaction.
TransactionDateStringYesDate and time of the quick receive transaction.

Example request

{
  "WarehouseID": "MAIN",
  "StockLocation": "A-01",
  "Quantity": 10,
  "UnitCost": 25.5,
  "ToAccount": "Inventory",
  "Notes": "Quick received replacement parts",
  "TransactionDate": "2026-06-22T10:30:00Z"
}

Example endpoint

POST https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/QuickReceive

Response

A successful request returns a Boolean value:

true

Notes

  • The part must already exist before you call this endpoint.
  • Use single quotes around the part name or part ID in the endpoint URL.
  • Quantity is the amount received.
  • Send TransactionDate in the date and time format expected by your MVP One environment.
Path Params
string
required

The part name or part ID.

Body Params
string
required

Warehouse where the part is received.

string
required

Stock location where the part is received.

number
required

Quantity to receive.

number
required

Unit cost for the received part.

string
required

Account receiving the quick receive quantity.

string
required

Notes for the quick receive transaction.

string
required

Date and time of the quick receive transaction.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json